// beispiele/dialog1/mywidget.cpp
#include "mywidget.h"
#include "mydialog.h"
#include <QApplication>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( const char* lab, QWidget *parent):
    QWidget(parent)  {
   // Elemente des Widgets erzeugen
   button0 = new QPushButton ("Dialog starten");
   layout  = new QVBoxLayout(this);
   label1   = new QLabel(lab);
   label2   = new QLabel;

   dialog = new MyDialog;
   // Programm nicht beenden, wenn Dialog zerstrt wird
   dialog->setAttribute(Qt::WA_QuitOnClose);

   // Elemente des Widgets anordnen/anpassen
   layout->addWidget(label1);
   layout->addWidget(button0);
   layout->addWidget(label2);

   // Signal-Slot-Verbindungen einrichten
   connect( button0, SIGNAL( clicked() ),
            dialog, SLOT( exec() ) );
   connect( dialog, SIGNAL( accepted() ),
            this, SLOT( checkInputDialog() ) );
   connect( dialog, SIGNAL( rejected() ),
            this, SLOT( checkInputDialog() ) );

   setWindowTitle("Hauptfenster - Anwendung");
}

void MyWidget::checkInputDialog() {
   int val = dialog->result();
   if( val == QDialog::Accepted ) {
       label2->setText("\"Ok\" wurde gewhlt");
    }
   else if( val == QDialog::Rejected ) {
        label2->setText("\"Abbrechen\" wurde gewhlt");
   }
}

