// beispiele/qfiledialog1/mywidget.cpp
#include "mywidget.h"
#include <QApplication>
#include <QFileDialog>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( const char* lab, const char* but,
                    QWidget *parent): QWidget(parent)  {
   // Elemente des Widgets erzeugen
   button0 = new QPushButton (but);
   layout  = new QVBoxLayout(this);
   label   = new QLabel(lab);
   // Elemente des Widgets anordnen/anpassen
   layout->addWidget(label);
   layout->addWidget(button0);
   // Signale des Widgets einrichten
   connect( button0, SIGNAL( clicked() ),
            this, SLOT( myquit() ) );
}

void MyWidget::myquit() {
   QString file = QFileDialog::getOpenFileName(
         this, "Bitte eine Datei auswhlen",
         QDir::homePath(), "Dokumente (*.pdf *ps *doc)" );

   if( !file.isNull() ) {
      QString info("Folgende Datei wurde ausgewhlt:\n");
      info.append(file);
      QMessageBox::information(
         this, "Ihre Auswahl", info, QMessageBox::Ok );
   }
}

