// beispiele/qfiledialog1/mywidget.cpp
#include "mywidget.h"
#include <QApplication>
#include <QInputDialog>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( const char* lab, const char* but,
                    QWidget *parent): QWidget(parent)  {
   // Elemente des Widgets erzeugen
   button0 = new QPushButton (but);
   layout  = new QVBoxLayout(this);
   label   = new QLabel(lab);
   // Elemente des Widgets anordnen/anpassen
   layout->addWidget(label);
   layout->addWidget(button0);
   // Signale des Widgets einrichten
   connect( button0, SIGNAL( clicked() ),
            this, SLOT( myquit() ) );
}

void MyWidget::myquit() {
   bool ok;
   // QInputDialog::getText() --- Anfang
   QString text = QInputDialog::getText(
      this, "QInputDialog::getText()", "Ihr Name :",
      QLineEdit::Normal, "Name eingeben", &ok);
   if (ok && !text.isEmpty())
      QMessageBox::information(
         this, "Ihr Eingabe", text, QMessageBox::Ok );
   // QInputDialog::getText() --- Ende

   // QInputDialog::getDouble --- Anfang
   double dvalue = QInputDialog::getDouble(
      this, "QInputDialog::getDouble()", "Wert eingeben :",
      55.555, 0, 100, 3, &ok );
   if(ok) {
      QString qsdvalue = QString("%1").arg(dvalue);
      QMessageBox::information(
         this,"Ihr double-Wert ",qsdvalue,QMessageBox::Ok);
   }
   // QInputDialog::getDouble --- Ende

   // QInputDialog::getInteger --- Anfang
   int ivalue = QInputDialog::getInteger(
      this, "QInputDialog::getInteger()", "Wert eingeben :",
      10, 0, 20, 1, &ok );
   if(ok) {
      QString qsivalue = QString("%1").arg(ivalue);
      QMessageBox::information(
         this, "Ihr Integer-Wert ", qsivalue,
         QMessageBox::Ok  );
   }
   // QInputDialog::getInteger --- Ende

   // QInputDialog::getItem --- Anfang
   QStringList items;
   items << "Sonne" << "Regen" << "Nebel"
         << "Wind" << "Schnee";
   QString itemvalue = QInputDialog::getItem(
      this,"QInputDialog::getItem()","Ihr Lieblingswetter:",
      items, 0, false, &ok );
   if(ok) {
      QMessageBox::information(
         this, "Ihr Lieblingswetter", itemvalue,
         QMessageBox::Ok );
   }
   // QInputDialog::getItem --- Ende
}

